## nusoap_parser

Description

nusoap_parser class parses SOAP XML messages into native PHP values

- access: public
- version: $Id: nusoap.php,v 1.123 2010/04/26 20:15:08 snichol Exp $
- author: Dietrich Ayala <dietrich@ganx4.com>
- author: Scott Nichol <snichol@users.sourceforge.net>

Located in /nusoap.php (line 6446)

    nusoap_base
       |
       --nusoap_parser

Direct descendents

Class | Description
--- | ---
soap_parser | Backward compatibility

Variable Summary
mixed $body_position
mixed $debug_flag
mixed $decode_utf8
mixed $default_namespace
mixed $depth
mixed $depth_array
mixed $document
mixed $fault
mixed $fault_code
mixed $fault_detail
mixed $fault_str
mixed $ids
mixed $message
mixed $method
mixed $multirefs
mixed $namespaces
mixed $parent
mixed $position
mixed $responseHeaders
mixed $root_header
mixed $root_struct
mixed $root_struct_name
mixed $root_struct_namespace
mixed $soapheader
mixed $soapresponse
mixed $status
mixed $xml
mixed $xml_encoding
Method Summary
nusoap_parser nusoap_parser (string $xml, [string $encoding = 'UTF-8'], [string $method = ''], [string $decode_utf8 = true])
mixed buildVal (integer $pos)
void character_data (resource $parser, string $data)
mixed decodeSimple (string $value, string $type, string $typens)
void end_element (resource $parser, string $name)
string getHeaders ()
mixed get_response ()
mixed get_soapbody ()
mixed get_soapheader ()
void start_element (resource $parser, string $name, array $attrs)
Variables
mixed $body_position = 0 (line 6473)
mixed $debug_flag = true (line 6469)
mixed $decode_utf8 = true (line 6480)
mixed $default_namespace = '' (line 6460)
mixed $depth = 0 (line 6459)
mixed $depth_array = array() (line 6468)
mixed $document = '' (line 6455)
mixed $fault = false (line 6464)
mixed $fault_code = '' (line 6465)
mixed $fault_detail = '' (line 6467)
mixed $fault_str = '' (line 6466)
mixed $ids = array() (line 6476)
mixed $message = array() (line 6462)
mixed $method = '' (line 6450)
mixed $multirefs = array() (line 6478)
mixed $namespaces = array() (line 6461)

Redefinition of:

nusoap_base::$namespaces
  namespaces in an array of prefix => uri

mixed $parent = '' (line 6463)
mixed $position = 0 (line 6458)
mixed $responseHeaders = '' (line 6472)
mixed $root_header = '' (line 6454)
mixed $root_struct = '' (line 6451)
mixed $root_struct_name = '' (line 6452)
mixed $root_struct_namespace = '' (line 6453)
mixed $soapheader = NULL (line 6471)
mixed $soapresponse = NULL (line 6470)
mixed $status = '' (line 6457)
mixed $xml = '' (line 6448)
mixed $xml_encoding = '' (line 6449)

#### Inherited Variables

Inherited from nusoap_base

> nusoap_base::$charencoding
> nusoap_base::$debugLevel
> nusoap_base::$debug_str
> nusoap_base::$error_str
> nusoap_base::$revision
> nusoap_base::$soap_defencoding
> nusoap_base::$title
> nusoap_base::$typemap
> nusoap_base::$usedNamespaces
> nusoap_base::$version
> nusoap_base::$xmlEntities
> nusoap_base::$XMLSchemaVersion

Methods
Constructor nusoap_parser (line 6491)

constructor that actually does the parsing

- access: public

nusoap_parser nusoap_parser (string $xml, [string $encoding = 'UTF-8'], [string $method = ''], [string $decode_utf8 = true])

- string $xml: SOAP message
- string $encoding: character encoding scheme of message
- string $method: method for which XML is parsed (unused?)
- string $decode_utf8: whether to decode UTF-8 to ISO-8859-1

buildVal (line 6959)

builds response structures for compound values (arrays/structs) and scalars

- return: PHP value
- access: private

mixed buildVal (integer $pos)

- integer $pos: position in node tree

character_data (line 6846)

element content handler

- access: private

void character_data (resource $parser, string $data)

- resource $parser: XML parser object
- string $data: element content

decodeSimple (line 6915)

decodes simple types into PHP variables

- return: PHP value
- access: private

mixed decodeSimple (string $value, string $type, string $typens)

- string $value: value to decode
- string $type: XML type to decode
- string $typens: XML type namespace to decode

end_element (line 6740)

end-element handler

- access: private

void end_element (resource $parser, string $name)

- resource $parser: XML parser object
- string $name: element name

getHeaders (line 6902)

get the unparsed SOAP Header

- return: XML or empty if no Header
- access: public

string getHeaders ()
get_response (line 6872)

get the parsed message (SOAP Body)

- deprecated: use get_soapbody instead
- access: public

mixed get_response ()
get_soapbody (line 6882)

get the parsed SOAP Body (NULL if there was none)

- access: public

mixed get_soapbody ()
get_soapheader (line 6892)

get the parsed SOAP Header (NULL if there was none)

- access: public

mixed get_soapheader ()
start_element (line 6585)

start-element handler

- access: private

void start_element (resource $parser, string $name, array $attrs)

- resource $parser: XML parser object
- string $name: element name
- array $attrs: associative array of attributes

#### Inherited Methods

Inherited From nusoap_base

> nusoap_base::nusoap_base()
> nusoap_base::appendDebug()
> nusoap_base::clearDebug()
> nusoap_base::contractQname()
> nusoap_base::debug()
> nusoap_base::expandEntities()
> nusoap_base::expandQname()
> nusoap_base::formatDump()
> nusoap_base::getDebug()
> nusoap_base::getDebugAsXMLComment()
> nusoap_base::getDebugLevel()
> nusoap_base::getError()
> nusoap_base::getGlobalDebugLevel()
> nusoap_base::getLocalPart()
> nusoap_base::getmicrotime()
> nusoap_base::getNamespaceFromPrefix()
> nusoap_base::getPrefix()
> nusoap_base::getPrefixFromNamespace()
> nusoap_base::isArraySimpleOrStruct()
> nusoap_base::serializeEnvelope()
> nusoap_base::serialize_val()
> nusoap_base::setDebugLevel()
> nusoap_base::setError()
> nusoap_base::setGlobalDebugLevel()
> nusoap_base::varDump()
> nusoap_base::__toString()

Documentation generated on Mon, 26 Apr 2010 16:17:03 -0400 by phpDocumentor 1.3.0RC3